# Delete a Custom Object Instance by External ID

Delete a single Custom Object instance by external_id.

Endpoint: DELETE /custom_object_instances/{custom_object_type_identifier}
Version: 2.15
Security: bearerAuth

## Path parameters:

  - `custom_object_type_identifier` (string, required)
    The unique identifier of the custom object type that defines the structure of the custom object instance.
    Example: "Order"

## Query parameters:

  - `external_id` (string, required)
    The unique identifier for the instance in the external system it originated from.

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Response 200 fields (application/json):

  - `object` (string)
    The unique identifier of the Custom Object type that defines the structure of the Custom Object instance.
    Example: "Order"

  - `id` (string)
    The Intercom defined id representing the Custom Object instance.
    Example: "123"

  - `deleted` (boolean)
    Whether the Custom Object instance is deleted or not.
    Example: true

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


